WhatsApp API Platform
Webhooks

Create Webhook Endpoint

POST
/api/v1/waba/webhooks

Register an https URL to receive events. Omit event_types to receive every event.

Authorization

ApiKeyAuth
X-API-Key<token>

API key from your dashboard (Settings > API Keys)

In: header

Query Parameters

waba_id*string

The WhatsApp number (WABA) these webhooks belong to.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/waba/webhooks?waba_id=string" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/hooks/pingmate"  }'
{
  "success": true,
  "data": {
    "id": "ep_1srOrx2ZWZBpBUvZwXKQmoEYga2",
    "url": "https://example.com/hooks/pingmate",
    "description": "string",
    "disabled": true,
    "event_types": [
      "string"
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "message": "to field is required"
}
{
  "success": false,
  "message": "user not authenticated"
}
{
  "success": false,
  "message": "forbidden"
}
{
  "success": true,
  "message": "string"
}